Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.runtime.model
Class PluginModel

    java.lang.Object
      org.eclipse.core.runtime.model.PluginModelObject
          org.eclipse.core.runtime.model.PluginModel

Direct Known Subclasses:
  PluginDescriptorModel, PluginFragmentModel

Deprecated. In Eclipse 3.0 the runtime was refactored and all non-essential elements removed. This class provides facilities primarily intended for tooling. As such it has been removed and no directly substitutable API provided.

public abstract class PluginModel
extends PluginModelObject

An object which represents the user-defined contents of a plug-in model (either a descriptor or a fragment) in a plug-in manifest.

This class may not be instantiated, but may be further subclassed.

Constructor Summary
`PluginModel()` Deprecated. Creates a new plug-in descriptor model in which all fields are `null`.

Method Summary
`ExtensionPointModel[]` | `getDeclaredExtensionPoints()` Deprecated. Returns the extension points in this plug-in descriptor.
`ExtensionModel[]` | `getDeclaredExtensions()` Deprecated. Returns the extensions in this plug-in descriptor.
`String` | `getId()` Deprecated. Returns the unique identifier of this plug-in model or `null`.
`String` | `getLocation()` Deprecated. Returns the location of the plug-in corresponding to this plug-in descriptor.
`abstract String` | `getPluginId()` Deprecated. Returns the unique identifier of the plug-in related to this model or `null`.
`String` | `getProviderName()` Deprecated. Returns the name of the provider who authored this plug-in.
`PluginRegistryModel` | `getRegistry()` Deprecated. Returns the plug-in registry of which this plug-in descriptor is a member.
`PluginPrerequisiteModel[]` | `getRequires()` Deprecated. Returns the prerequisites of this plug-in.
`LibraryModel[]` | `getRuntime()` Deprecated. Returns the libraries configured for this plug-in.
`String` | `getSchemaVersion()` Deprecated. Returns the manifest schema version of this plug-in.
`String` | `getVersion()` Deprecated. Returns the version name of this plug-in.
`void` | `markReadOnly()` Deprecated. Sets this model object and all of its descendents to be read-only.
`void` | `setDeclaredExtensionPoints(ExtensionPointModel[] value)` Deprecated. Sets the extension points in this plug-in descriptor.
`void` | `setDeclaredExtensions(ExtensionModel[] value)` Deprecated. Sets the extensions in this plug-in descriptor.
`void` | `setId(String value)` Deprecated. Sets the unique identifier of this plug-in model.
`void` | `setLocalizedProviderName(String value)` Deprecated. Optimization to replace a non-localized key with its localized value.
`void` | `setLocation(String value)` Deprecated. Sets the location of the plug-in manifest file (e.g., `plugin.xml`) which corresponds to this plug-in descriptor.
`void` | `setProviderName(String value)` Deprecated. Sets the name of the provider who authored this plug-in.
`void` | `setRegistry(PluginRegistryModel value)` Deprecated. Sets the registry with which this plug-in descriptor is associated.
`void` | `setRequires(PluginPrerequisiteModel[] value)` Deprecated. Sets the prerequisites of this plug-in.
`void` | `setRuntime(LibraryModel[] value)` Deprecated. Sets the libraries configured for this plug-in.
`void` | `setSchemaVersion(String value)` Deprecated. Sets the manifest schema version of this plug-in.
`void` | `setVersion(String value)` Deprecated. Sets the version name of this plug-in.

Methods inherited from class org.eclipse.core.runtime.model.PluginModelObject
`assertIsWriteable, getName, getStartLine, isReadOnly, setLocalizedName, setName, setStartLine, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PluginModel

    public PluginModel()

  Deprecated.
  Creates a new plug-in descriptor model in which all fields are `null`.

Method Detail

### getDeclaredExtensionPoints

    public ExtensionPointModel[] getDeclaredExtensionPoints()

  Deprecated.
  Returns the extension points in this plug-in descriptor.

  Returns:
    the extension points in this plug-in descriptor or `null`

### getDeclaredExtensions

    public ExtensionModel[] getDeclaredExtensions()

  Deprecated.
  Returns the extensions in this plug-in descriptor.

  Returns:
    the extensions in this plug-in descriptor or `null`

### getId

    public String getId()

  Deprecated.
  Returns the unique identifier of this plug-in model or `null`. This identifier is a non-empty string and is unique within the plug-in registry.

  Returns:
    the unique identifier of this plugin model (e.g. `"com.example"`) or `null`.

### getLocation

    public String getLocation()

  Deprecated.
  Returns the location of the plug-in corresponding to this plug-in descriptor. The location is in the form of a URL.

  Returns:
    the location of this plug-in descriptor or `null`.

### getPluginId

    public abstract String getPluginId()

  Deprecated.
  Returns the unique identifier of the plug-in related to this model or `null`. This identifier is a non-empty string and is unique within the plug-in registry.

  Returns:
    the unique identifier of the plug-in related to this model (e.g. `"com.example"`) or `null`.

### getProviderName

    public String getProviderName()

  Deprecated.
  Returns the name of the provider who authored this plug-in.

  Returns:
    name of the provider who authored this plug-in or `null`

### getRegistry

    public PluginRegistryModel getRegistry()

  Deprecated.
  Returns the plug-in registry of which this plug-in descriptor is a member.

  Returns:
    the registry in which this descriptor has been installed or `null` if none.

### getRequires

    public PluginPrerequisiteModel[] getRequires()

  Deprecated.
  Returns the prerequisites of this plug-in.

  Returns:
    the prerequisites of this plug-in or `null`

### getRuntime

    public LibraryModel[] getRuntime()

  Deprecated.
  Returns the libraries configured for this plug-in.

  Returns:
    the libraries configured for this plug-in or `null`

### getVersion

    public String getVersion()

  Deprecated.
  Returns the version name of this plug-in.

  Returns:
    the version name of this plug-in or `null`

### markReadOnly

    public void markReadOnly()

  Deprecated.
  Sets this model object and all of its descendents to be read-only. Subclasses may extend this implementation.

  Overrides:
    `markReadOnly` in class `PluginModelObject`
  See Also:
    `PluginModelObject.isReadOnly()`

### setDeclaredExtensionPoints

    public void setDeclaredExtensionPoints(ExtensionPointModel[] value)

  Deprecated.
  Sets the extension points in this plug-in descriptor. This object must not be read-only.

  Parameters:
    `value` - the extension points in this plug-in descriptor. May be `null`.

### setDeclaredExtensions

    public void setDeclaredExtensions(ExtensionModel[] value)

  Deprecated.
  Sets the extensions in this plug-in descriptor. This object must not be read-only.

  Parameters:
    `value` - the extensions in this plug-in descriptor. May be `null`.

### setId

    public void setId(String value)

  Deprecated.
  Sets the unique identifier of this plug-in model. The identifier is a non-empty string and is unique within the plug-in registry. This object must not be read-only.

  Parameters:
    `value` - the unique identifier of the plug-in model (e.g. `"com.example"`). May be `null`.

### setLocalizedProviderName

    public void setLocalizedProviderName(String value)

  Deprecated.
  Optimization to replace a non-localized key with its localized value. Avoids having to access resource bundles for further lookups.

  Parameters:
    `value` - the localized provider name for this model object

### setLocation

    public void setLocation(String value)

  Deprecated.
  Sets the location of the plug-in manifest file (e.g., `plugin.xml`) which corresponds to this plug-in descriptor. The location is in the form of a URL. This object must not be read-only.

  Parameters:
    `value` - the location of this plug-in descriptor. May be `null`.

### setProviderName

    public void setProviderName(String value)

  Deprecated.
  Sets the name of the provider who authored this plug-in. This object must not be read-only.

  Parameters:
    `value` - name of the provider who authored this plug-in. May be `null`.

### setRegistry

    public void setRegistry(PluginRegistryModel value)

  Deprecated.
  Sets the registry with which this plug-in descriptor is associated. This object must not be read-only.

  Parameters:
    `value` - the registry with which this plug-in is associated. May be `null`.

### setRequires

    public void setRequires(PluginPrerequisiteModel[] value)

  Deprecated.
  Sets the prerequisites of this plug-in. This object must not be read-only.

  Parameters:
    `value` - the prerequisites of this plug-in. May be `null`.

### setRuntime

    public void setRuntime(LibraryModel[] value)

  Deprecated.
  Sets the libraries configured for this plug-in. This object must not be read-only.

  Parameters:
    `value` - the libraries configured for this plug-in. May be `null`.

### setVersion

    public void setVersion(String value)

  Deprecated.
  Sets the version name of this plug-in. The version number is canonicalized. This object must not be read-only.

  Parameters:
    `value` - the version name of this plug-in. May be `null`.

### getSchemaVersion

    public String getSchemaVersion()

  Deprecated.
  Returns the manifest schema version of this plug-in. The version number is canonicalized.

  The manifest schema version indicates which shape of plug-in manifest this is. This was introduced in 3.0; plug-ins created prior to then did not explicitly declare a manifest schema version.

  Returns:
    the manifest schema version of this plug-in. May be `null`.
  Since:
    3.0

### setSchemaVersion

    public void setSchemaVersion(String value)

  Deprecated.
  Sets the manifest schema version of this plug-in. The version number is canonicalized. This object must not be read-only.

  The manifest schema version indicates which shape of plug-in manifest this is. This was introduced in 3.0; plug-ins created prior to then did not explicitly declare a manifest schema version.

  Parameters:
    `value` - the manifest schema version of this plug-in. May be `null`.
  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.